/**
 * @file
 * Provides Intense loader.
 */

(function (Drupal, _db) {

  'use strict';

  /**
   * Intense utility functions.
   *
   * @param {HTMLElement} elm
   *   The intense HTML element.
   */
  function doIntense(elm) {
    Intense(elm);
  }

  /**
   * Attaches Intense behavior to HTML element.
   *
   * @type {Drupal~behavior}
   */
  Drupal.behaviors.intense = {
    attach: function (context) {
      var items = context.querySelectorAll('[data-intense-trigger]');
      _db.once(_db.forEach(items, doIntense));
    }
  };

})(Drupal, dBlazy);
